clc; clear all;
flreport('off');
fclose('all');

%l w g l_b t
x_3kHzTF    = [0.0079906  0.00020094  0.00018874   0.0019684  0.00059423];

x      = x_3kHzTF;
nreigf = 2;

l  = x(1);
w  = x(2);
g  = x(3); 
lb = x(4);
t  = x(5);
a  = 1;

nrefD  = 2;

w0  = 7.5e-6;
lam = 1.55e-6;
yR  = pi*w0^2/lam;

[fem, eigf_res, nreigf] = rotade3D_eigenmodes_ns(nrefD, nreigf, a, l/a, lb/a, w/a, t/a);

g  = x(3);
xr = g/2+2e-5;
zr = 1e-3;
g = 1;

x1 =  [0:(xr/g)/100:(xr/g)];
r  =  (xr/g)*ones(1,length(x1));
y1 =  0*ones(1,length(x1));
z1 = -sqrt(r.^2-x1.^2);

p  = [x1(:)';y1(:)';z1(:)'];
s1 = postinterp(fem, 's1_sld',  p);

z2 = [0:(zr/g)/100:zr/g];
x2 = (xr/g)*ones(1,length(z2));
y2 = 0*ones(1,length(x2));
p  = [x2(:)';y2(:)'; z2(:)'];

s2 = postinterp(fem, 's1_sld',  p);

z = [z1 z2];
s = [s1 s2];

save stress3kHzTF 'z' 's'