function out = boundaryT(xx, zz)

load boundarydata;

N = length(xx);
for it = 1 : N
    if ((abs(xx(it))<0.75e-3)&& (abs(zz(it))<1.5e-3))
        out(it) = func(xx(it), zz(it), x, z, realT, imagT);
    else
        out(it) = 0;
    end
end
end

function T = func(xx, zz, x, z, realT, imagT)

mindist = inf;
for it = 1:length(x)
    d = sqrt((x(it) - xx)^2+(z(it)-zz)^2);
    if mindist > d
        mindist = d;
        pos = it;
    end
end
T = realT(pos)+1i*imagT(pos);
end

