clc; clear all;
flreport('off');
fclose('all');

% give the number of refinments
nrefT1 = 5; %4;
nrefT2 = 6; %4;
nrefD  = 3; %2;

% l w g lb t
% give the dimensions of the tuning fork
l         = 3.75e-3;
g         = 0.3e-3; %this will not change the geom but the scaling factor!
lb        = 0.00233; 
t         = 0.34e-3; 
w         = 0.6e-3; 

w0  = 7.5e-6;
lam = 1.55e-6;
yR  = pi*w0^2/lam;
a   = g;   

% give the position of the laser beam
% setup the grid
%save noemisgrid 'xs1' 'xs2' 'xs3' 'zs1' 'zs2' 'zs3'
load noemisgrid.mat;
ys3 = 0;

[f, nreigf] = rotade3D_eigenmodes(3, a, l/a, lb/a, w/a, t/a);
T2D_boundarydata_SCALEDeq(a, w/a, t/a, w0/a, yR/a, f);
    
for it = 1:length(zs3)
[realuzs3(it), imaguzs3(it) , ampuzs3(it) , thetauzs3(it)]  = rotade3D_SCALEDeq(xs3/a, ys3/a, zs3(it)/a, nrefT1, nrefT2, nrefD, nreigf, a, l/a, lb/a, w/a, t/a, w0/a, yR/a, f);
end

save 'thdata_zs3_CO2at20Torr' 'realuzs3' 'imaguzs3' 'ampuzs3' 'thetauzs3' 'xs3' 'ys3' 'zs3'

fIDs = fopen('all');
if (fIDs ~= 0)
	fprintf('testing the print out! length(fIDs) = %2d \n', length(fIDs));
end
