clc; clear all;
flreport('off');
fclose('all');

% give the number of refinments
nrefT1 = 6; %4;
nrefT2 = 6; %4;
nrefD  = 3; %2;
nreigs    = 6;

% l w g lb t
% give the dimensions of the tuning fork
l         = 3.75e-3;
g         = 0.3e-3; %this will not change the geom but the scaling factor!
lb        = 0.00233; 
t         = 0.34e-3; 
w         = 0.6e-3; 

w0  = 7.5e-6;
lam = 1.55e-6;
yR  = pi*w0^2/lam;
a   = g;   

% give the position of the laser beam
% setup the grid
%save noemisgrid 'xs1' 'xs2' 'xs3' 'zs1' 'zs2' 'zs3'
load noemisgrid.mat;
xs1 = 0;
ys1 = 0;

for it = 1:length(zs1)
f = 33768;
%T2D_boundarydata_SCALEDeq(a, w/a, t/a, w0/a, yR/a, f);
[realuzs1(it), imaguzs1(it) , ampuzs1(it) , thetauzs1(it)]  = rotade3D_SCALEDeq(xs1/a, ys1/a, zs1(it)/a, nrefT1, nrefT2, nrefD, nreigs, a, l/a, lb/a, w/a, t/a, w0/a, yR/a, f);
end

save 'thdata_zs1_CO2at05Torr' 'realuzs1' 'imaguzs1' 'ampuzs1' 'thetauzs1' 'xs1' 'ys1' 'zs1'

fIDs = fopen('all');
if (fIDs ~= 0)
	fprintf('testing the print out! length(fIDs) = %2d \n', length(fIDs));
end
