clc; clear all; close all;
k     = 0.04986/2;
const = 2*pi*k;

importfile('rotade_History.txt');
eval     = rotade_History(:, 1);
f        = rotade_History(:, 2);
l        = rotade_History(:, 3);
w        = rotade_History(:, 4);
g        = rotade_History(:, 5);
lb       = rotade_History(:, 6);
t        = rotade_History(:, 7);

figure('DefaultAxesFontSize',20);box on;
x = [1:1:length(f)];
    plot(eval, const*f,'k','LineWidth',3, 'MarkerSize', 6); hold on;
    ylabel('Objective function value')
    xlabel('Number of function evaluations');
    xlim([eval(1) eval(end)])
    %ylim([min( const*f) max( const*f)])
print ('-depsc2', 'fVSeval.eps');
print -djpeg100 fVSeval.jpg
print -dbmp rfVSeval.bmp

