%*********************************************************************
% canoeDW_Omega:  User-supplied function for defining Omega, based on p.
%*********************************************************************
function [A,l,u] = rotade_Omega(n);

% exclude the zs constraint
A = eye(n);

% l w g lb t
l = [2e-3;  0.2e-3; 0.18e-3; 1e-3; 0.2e-3];
u = [8e-3; 0.8e-3; 0.6e-3; 4e-3; 0.6e-3];

return
