clc; clear all;
flreport('off');

% number of thread
nthreads = 2;
maxNumCompThreads(nthreads);

nrefT1  = 4; %5; % 5 max!
nrefT2  = 4; %8; % 9 max!

ys = 0;
omega = 2*pi*32785.47;

if (exist('fem','var')), clear fem ; end;

fprintf('started the zs test\n');
xs = 0;
zs = [-0.1e-3:(0.1e-3-0.15e-3)/15:-0.15e-3];

filename = sprintf('datazs_nref44.txt');
fid = fopen(filename, 'a+');
if (fid == -1)
    error('error opening log file');
end;
fprintf(fid, '%s\n', ' dist (mm)     xs (m)     zs (m)     Direct Power   Indirect Power   eps*k (1/m)');
for it = 1:length(zs)
    it
    [Pd(it), Pi(it)] = rotade_matlab(xs, ys, zs(it), nrefT1, nrefT2, omega);
    epskappazs(it) = Pd(it)/Pi(it);
    dist(it) = (0.15e-3-abs(zs(it)))*1e3;
	fprintf(fid, '%8.3f\t%9.6f\t%9.6f\t%13.6e\t%13.6e\t%13.6e\n', ...
                   dist(it), xs, zs(it), Pd(it), Pi(it), epskappazs(it));
end
fclose(fid); 
save 'datakappa_zs' 'epskappazs' 'Pd' 'Pi' 'xs' 'zs' 'dist'
