clc; clear all;
flreport('off');
fclose('all');

% give the number of refinments
nrefT1 = 5; %4;
nrefT2 = 6; %4;
nrefD  = 3; %2;
nreigs    = 6;

% l w g lb t
% give the dimensions of the tuning fork
l         = 3.75e-3;
g         = 0.3e-3; %this will not change the geom but the scaling factor!
lb        = 0.00233; 
t         = 0.34e-3; 
w         = 0.6e-3; 

w0  = 7.5e-6;
lam = 1.55e-6;
yR  = pi*w0^2/lam;
a   = g;   

% give the position of the laser beam
% setup the grid
%save noemisgrid 'xs1' 'xs2' 'xs3' 'zs1' 'zs2' 'zs3'
load noemisgrid.mat;
ys5 = 0;

for it = 1:length(zs5)
f = 33769;
%T2D_boundarydata_SCALEDeq(a, w/a, t/a, w0/a, yR/a, f);
[realuzs5(it), imaguzs5(it) , ampuzs5(it) , thetauzs5(it)]  = rotade3D_SCALEDeq(xs5(it)/a, ys5/a, zs5(it)/a, nrefT1, nrefT2, nrefD, nreigs, a, l/a, lb/a, w/a, t/a, w0/a, yR/a, f);
end

save 'thdata_zs5_CO2at20Torr' 'realuzs5' 'imaguzs5' 'ampuzs5' 'thetauzs5' 'xs5' 'ys5' 'zs5'

fIDs = fopen('all');
if (fIDs ~= 0)
	fprintf('testing the print out! length(fIDs) = %2d \n', length(fIDs));
end
